package com.ym.mec.auth.api.enums;

import org.apache.commons.lang3.StringUtils;

import com.ym.mec.common.dal.base.BaseStringEnum;

public enum SysUserType implements BaseStringEnum<SysUserType> {

	STUDENT("学生"), EDU_TEACHER("教务老师"), ADVISER("指导老师"), SYSTEM("系统內置");

	private String desc;

	private SysUserType(String desc) {
	}

	@Override
	public String getName() {
		return name();
	}

	public String getDesc() {
		return desc;
	}

	public static SysUserType queryByName(String name) {
		if (StringUtils.isBlank(name)) {
			return null;
		}
		for (SysUserType sysUserType : SysUserType.values()) {
			if (name.equals(sysUserType.getName())) {
				return sysUserType;
			}
		}
		return null;
	}
}
