package com.ym.mec.common.controller;

import com.ym.mec.common.entity.HttpCode;
import com.ym.mec.common.entity.HttpResponseResult;

public class BaseController {

	public static HttpResponseResult succeed(Object object) {
		return getResponseData(true, HttpCode.DEFAULT_SUCCESS_CODE, object, "");
	}

	public static HttpResponseResult succeed() {
		return getResponseData(true, HttpCode.DEFAULT_SUCCESS_CODE, null, "");
	}

	public static HttpResponseResult succeed(String message) {
		return failed(HttpCode.DEFAULT_SUCCESS_CODE, message);
	}

	public static HttpResponseResult succeedData(Object obj) {
		return getResponseData(true, HttpCode.DEFAULT_SUCCESS_CODE, obj, "操作成功");
	}

	public static HttpResponseResult warned(String message) {
		return failed(HttpCode.PART_THROW, message);
	}

	public static HttpResponseResult failed() {
		return failed("");
	}

	public static HttpResponseResult failed(String msg) {
		return failed(HttpCode.DEFAULT_FAILD_CODE, msg);
	}

	public static HttpResponseResult failed(int code, String msg) {
		return getResponseData(false, code, null, msg);
	}

	private static HttpResponseResult getResponseData(boolean status, int code, Object data, String message) {
		HttpResponseResult obj = new HttpResponseResult();
		obj.setStatus(status);
		obj.setCode(code);
		obj.setData(data);
		obj.setMsg(message);
		return obj;
	}

}
